org.jfree.xml.parser.coretypes

## Class RenderingHintValueReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.RenderingHintValueReadHandler

- All Implemented Interfaces:
    XmlReadHandler

      public class RenderingHintValueReadHandler
      extends AbstractXmlReadHandler

  A read handler for a rendering hint value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderingHintValueReadHandler()` Creates a new read handler.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getKey()` Returns the key.
    `java.lang.Object` | `getObject()` Returns the object for this element.
    `java.lang.Object` | `getValue()` Returns the value.
    `protected void` | `startParsing(org.xml.sax.Attributes attrs)` Starts parsing.

    - ### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

      `characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderingHintValueReadHandler

          public RenderingHintValueReadHandler()

      Creates a new read handler.

  - ### Method Detail

    - #### startParsing

          protected void startParsing(org.xml.sax.Attributes attrs)
                               throws org.xml.sax.SAXException

      Starts parsing.
      Overrides:
        `startParsing` in class `AbstractXmlReadHandler`
      Parameters:
        `attrs` - the attributes.
      Throws:
        `org.xml.sax.SAXException` - if there is a parsing error.

    - #### getObject

          public java.lang.Object getObject()
                                     throws XmlReaderException

      Returns the object for this element.
      Returns:
        the object.
      Throws:
        `XmlReaderException` - if there is a parsing error.

    - #### getKey

          public java.lang.Object getKey()

      Returns the key.
      Returns:
        the key.

    - #### getValue

          public java.lang.Object getValue()

      Returns the value.
      Returns:
        the value.